Bug 814924 - Review Request: jalv - a simple LV2 host
Review Request: jalv - a simple LV2 host
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: 814916
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-04-21 06:27 EDT by Brendan Jones
Modified: 2012-05-27 21:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:28:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-04-21 06:27:51 EDT
jalv is a simple but fully featured LV2 host for Jack. It runs LV2 plugins 
and exposes their ports as Jack ports, essentially making any LV2 plugin 
function as a Jack application. 

SPEC: http://bsjones.fedorapeople.org/lv2/jalv.spec
SRPM: http://bsjones.fedorapeople.org/lv2/jalv-1.0.0-1.fc16.src.rpm

rpmlint /home/bsjones/rpmbuild/RPMS/x86_64/jalv-1.0.0-1.fc16.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/jalv-debuginfo-1.0.0-1.fc16.x86_64.rpm /home/bsjones/rpmbuild/SRPMS/jalv-1.0.0-1.fc16.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Mattias Ellert 2012-04-22 15:36:19 EDT
Fedora Review jalv 2012-04-22

$ rpmlint jalv*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Package named according to guidelines
+ Specfile named after package
+ Package license (MIT) is Fedora approved
+ Package license mateches license statements in sources
+ License file (COPYING) included as %doc
+ Specfile is written in readable American English
+ Package source matches upstream:

$ md5sum jalv-1.0.0.tar.bz2 jalv-srpm/jalv-1.0.0.tar.bz2 
f20f81dbb437f4e4ea10e00694f6cc4d  jalv-1.0.0.tar.bz2
f20f81dbb437f4e4ea10e00694f6cc4d  srpm/jalv-1.0.0.tar.bz2

- Package fails to compile due to several missing build requires:
    BuildRequires:  python
    BuildRequires:  suil-devel >= 0.6.0
    BuildRequires:  jack-audio-connection-kit-devel

[ Also my rebuild of the lilv package on which this package depends failed due to missing build requires on python and python-devel ]

+ No locales
+ No shared libraries
+ No bundled libraries
+ No duplicates in %files
+ Package owns directories it creates
+ File permissions are sane
+ Specfile uses macros consistently
+ Contains code
+ Documentation is small - need not be in subpackage
+ %doc not runtime essential
+ No static libraries
+ No development files
+ No subpackages
+ No libtool archives
+ Package does not own others' directories
+ Filenames valid UTF8


Summary: Only the missing build requires, otherwise OK.
Comment 2 Brendan Jones 2012-04-23 07:48:30 EDT
SPEC: http://bsjones.fedorapeople.org/lv2/jalv.spec
SRPM: http://bsjones.fedorapeople.org/lv2/jalv-1.0.0-2.fc16.src.rpm

Thanks. The BR's have been addressed.
Comment 3 Mattias Ellert 2012-04-24 11:22:36 EDT
Package approved.
Comment 4 Brendan Jones 2012-05-02 06:54:58 EDT
Thanks for taking this review

New Package SCM Request
=======================
Package Name: jalv
Short Description: A simple LV2 host
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 5 Gwyn Ciesla 2012-05-02 08:16:56 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-15 05:54:22 EDT
jalv-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jalv-1.0.0-2.fc17
Comment 7 Fedora Update System 2012-05-15 12:41:20 EDT
jalv-1.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-05-27 21:28:28 EDT
jalv-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.